Package org.apache.tapestry5.internal.services.rest

# Class DefaultOpenApiTypeDescriber

java.lang.Object
org.apache.tapestry5.internal.services.rest.DefaultOpenApiTypeDescriber

All Implemented Interfaces:
  `OpenApiTypeDescriber`

public class DefaultOpenApiTypeDescriber extends Object implements OpenApiTypeDescriber
`OpenApiTypeDescriber` implementation that handles some basic types, mostly primitives and String. Since this is the fallback, if the parameter doesn't have any handled type, it defaults to give the `object` to it without providing properties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultOpenApiTypeDescriber(MappedEntityManager mappedEntityManager)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `describe(JSONObject description, Parameter parameter)`
  Describes a REST event handler method parameter.
  `void`
  `describeReturnType(JSONObject description, Method method)`
  Describes a REST event handler method return type.
  `void`
  `describeSchema(Class<?> entity, JSONObject schemas)`
  Describes the schema of a mapped entity class

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultOpenApiTypeDescriber

    public DefaultOpenApiTypeDescriber(MappedEntityManager mappedEntityManager)

- ## Method Details

  - ### describe

    public void describe(JSONObject description, Parameter parameter)
    Description copied from interface: `OpenApiTypeDescriber`
    Describes a REST event handler method parameter.
    Specified by:
      `describe` in interface `OpenApiTypeDescriber`
    Parameters:
      `description` - `JSONObject` containing the description of an event handler parameter.
      `parameter` - the event handler method parameter.

  - ### describeReturnType

    public void describeReturnType(JSONObject description, Method method)
    Description copied from interface: `OpenApiTypeDescriber`
    Describes a REST event handler method return type.
    Specified by:
      `describeReturnType` in interface `OpenApiTypeDescriber`
    Parameters:
      `description` - `JSONObject` containing the description of a path response.
      `method` - the event handler method itself.

  - ### describeSchema

    public void describeSchema(Class<?> entity, JSONObject schemas)
    Description copied from interface: `OpenApiTypeDescriber`
    Describes the schema of a mapped entity class
    Specified by:
      `describeSchema` in interface `OpenApiTypeDescriber`
    Parameters:
      `entity` - an entity class.
      `schemas` - `JSONObject` where the entity description should be added.
    See Also:
      - `MappedEntityManager`